Bug 1791332 - include signed version of ignition-0.34.0-1
Summary: include signed version of ignition-0.34.0-1
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: RHCOS
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.3.0
Assignee: Micah Abbott
QA Contact: Michael Nguyen
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-15 14:54 UTC by Micah Abbott
Modified: 2020-01-23 11:20 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-23 11:20:06 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift installer pull 2928 None closed Bug 1791332: rhcos: Bump to 43.81.202001142154.0 for signed packages 2020-04-06 04:11:39 UTC
Red Hat Product Errata RHBA-2020:0062 None None None 2020-01-23 11:20:09 UTC

Description Micah Abbott 2020-01-15 14:54:19 UTC
We need to make sure the signed version of `ignition-0.34.0-1` is included in RHCOS so that the fix for BZ#1789601 can be properly delivered.

The way to do this is to bump the installer's `rhcos.json` to include the correct 4.3 build that has this signed version.

So really this is just a BZ to feed into the bugzilla bot that keeps PRs in check.

Comment 2 Michael Nguyen 2020-01-16 18:25:40 UTC
Verified on OCP 4.3.0-0.nightly-2020-01-16-031402, RHCOS version 43.81.202001142154.0

$ oc get nodes
NAME                           STATUS   ROLES    AGE   VERSION
ip-10-0-130-38.ec2.internal    Ready    worker   13m   v1.16.2
ip-10-0-131-199.ec2.internal   Ready    worker   13m   v1.16.2
ip-10-0-135-68.ec2.internal    Ready    master   21m   v1.16.2
ip-10-0-140-188.ec2.internal   Ready    master   22m   v1.16.2
ip-10-0-158-21.ec2.internal    Ready    worker   13m   v1.16.2
ip-10-0-159-172.ec2.internal   Ready    master   21m   v1.16.2
$ oc debug node/ip-10-0-130-38.ec2.internal
Starting pod/ip-10-0-130-38ec2internal-debug ...
To use host binaries, run `chroot /host`
If you don't see a command prompt, try pressing enter.
sh-4.2# chroot /host
sh-4.4#
sh-4.4# rpm -qai ignition 
Name        : ignition
Version     : 0.34.0
Release     : 1.rhaos4.3.git92f874c.el8
Architecture: x86_64
Install Date: Tue Jan 14 21:58:01 2020
Group       : Unspecified
Size        : 18363742
License     : ASL 2.0 and BSD
Signature   : RSA/SHA256, Tue Jan 14 20:04:22 2020, Key ID 199e2f91fd431d51
Source RPM  : ignition-0.34.0-1.rhaos4.3.git92f874c.el8.src.rpm
Build Date  : Mon Jan 13 22:49:43 2020
Build Host  : x86-vm-08.build.eng.bos.redhat.com
Relocations : (not relocatable)
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
Vendor      : Red Hat, Inc.
URL         : https://github.com/coreos/ignition
Summary     : First boot installer and configuration tool
Description :
Ignition is a utility used to manipulate systems during the initramfs.
This includes partitioning disks, formatting partitions, writing files
(regular files, systemd units, networkd units, etc.), and configuring
users. On first boot, Ignition reads its configuration from a source
of truth (remote URL, network metadata service, hypervisor bridge, etc.)
and applies the configuration.
sh-4.4# rpm-ostree status
State: idle
AutomaticUpdates: disabled
Deployments:
* pivot://quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:8c4059f184596157f64d69c4edbea9c9ef600560b7804a482779f513c3e0f40e
              CustomOrigin: Managed by machine-config-operator
                   Version: 43.81.202001142154.0 (2020-01-14T21:59:51Z)

  ostree://23527ffc123c6e2bedf3479ff7e96f38d92cec88d5a7951fa56e9d0ec75ddd77
                   Version: 43.81.202001142154.0 (2020-01-14T21:59:51Z)

sh-4.4# exit
exit
sh-4.2# exit
exit

Removing debug pod ...
$ oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.3.0-0.nightly-2020-01-16-031402   True        False         10m     Cluster version is 4.3.0-0.nightly-2020-01-16-031402

Comment 4 errata-xmlrpc 2020-01-23 11:20:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0062


Note You need to log in before you can comment on or make changes to this bug.